import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
export const MathJaxDsfontFontExtension = {
    name: 'mathjax-dsfont',
    variants: { '[+]': [
            ['-ds-ss', 'bold-sans-serif'],
            ['-ds-rm', 'double-struck']
        ] },
    variantSmp: {
        '-ds-ss': 'double-struck'
    },
    chars: AddFontIds({
        DS: {
            '-ds-ss': {
                0x2102: [.717, .021, .639],
                0x210D: [.695, -.001, .792],
                0x2115: [.695, -.001, .792],
                0x2119: [.695, -.001, .694],
                0x211A: [.717, .124, .736],
                0x211D: [.696, -.001, .701],
                0x2124: [.695, -.001, .75],
                0x1D538: [.696, -.001, .75],
                0x1D539: [.696, -.001, .722],
                0x1D53B: [.695, -.001, .75],
                0x1D53C: [.692, -.001, .653],
                0x1D53D: [.692, -.001, .625],
                0x1D53E: [.717, .021, .667],
                0x1D540: [.695, -.001, .361],
                0x1D541: [.695, .021, .556],
                0x1D542: [.695, -.001, .75],
                0x1D543: [.695, -.001, .597],
                0x1D544: [.695, -.001, .958],
                0x1D546: [.717, .021, .736],
                0x1D54A: [.717, .021, .556],
                0x1D54B: [.689, -.001, .708],
                0x1D54C: [.695, .021, .743],
                0x1D54D: [.695, -.001, .722],
                0x1D54E: [.695, -.001, 1],
                0x1D54F: [.695, -0, .778],
                0x1D550: [.695, -.001, .722],
                0x1D552: [.695, -.001, .75],
                0x1D559: [.695, -.001, .664],
                0x1D55C: [.695, -.001, .636],
                0x1D7D9: [.679, -.001, .611]
            }
        },
        DR: {
            '-ds-rm': {
                0x2102: [.706, .022, .722],
                0x210D: [.684, -.001, .833],
                0x2115: [.684, -.001, .833],
                0x2119: [.685, -.001, .736],
                0x211A: [.706, .193, .778],
                0x211D: [.684, .021, .792],
                0x2124: [.684, -.001, .75],
                0x1D538: [.693, -.001, .833],
                0x1D539: [.684, -0, .764],
                0x1D53B: [.684, -.001, .792],
                0x1D53C: [.681, -.001, .736],
                0x1D53D: [.681, -.001, .708],
                0x1D53E: [.706, .021, .785],
                0x1D540: [.684, -.001, .444],
                0x1D541: [.684, .022, .597],
                0x1D542: [.684, -.001, .833],
                0x1D543: [.684, -.001, .681],
                0x1D544: [.684, -.001, 1],
                0x1D546: [.707, .021, .778],
                0x1D54A: [.706, .021, .556],
                0x1D54B: [.678, -.001, .75],
                0x1D54C: [.684, .021, .806],
                0x1D54D: [.684, .008, .806],
                0x1D54E: [.684, .008, 1.083],
                0x1D54F: [.684, -.001, .861],
                0x1D550: [.684, -.001, .806],
                0x1D552: [.693, -.001, .833],
                0x1D559: [.695, -.001, .656],
                0x1D55C: [.695, -.001, .628],
                0x1D7D9: [.667, -.001, .611]
            }
        }
    }, 'MD'),
    sizeVariants: { '[+]': ['normal'] },
    stretchVariants: { '[+]': ['normal'] },
    fonts: [
        'MJX-MD-DS',
        'MJX-MD-DR'
    ]
};
//# sourceMappingURL=chtml.js.map